net.sf.saxon.tree.wrapper

## Class VirtualDocumentCopy

- java.lang.Object
- - net.sf.saxon.tree.wrapper.VirtualCopy
  - - net.sf.saxon.tree.wrapper.VirtualDocumentCopy

- All Implemented Interfaces:
    Source, SourceLocator, PullEvent, DocumentInfo, Item, NodeInfo, Sequence

      public class VirtualDocumentCopy
      extends VirtualCopy
      implements DocumentInfo

  A virtual copy of a document node

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.tree.wrapper.VirtualCopy

      `VirtualCopy.VirtualCopier`

  - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.wrapper.VirtualCopy

      `documentNumber, original, parent, root, systemId`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `ALL_NAMESPACES, IS_DTD_TYPE, IS_NILLED, LOCAL_NAMESPACES, NO_NAMESPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VirtualDocumentCopy(DocumentInfo base)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getUnparsedEntity(String name)` Get the unparsed entity with a given name
    `Iterator<String>` | `getUnparsedEntityNames()` Get the list of unparsed entities defined in this document
    `Object` | `getUserData(String key)` Get user data held in the document node.
    `boolean` | `isTyped()` Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED
    `NodeInfo` | `selectID(String id, boolean getParent)` Get the element with a given ID, if any
    `void` | `setUserData(String key, Object value)` Set user data on the document node.

    - ### Methods inherited from class net.sf.saxon.tree.wrapper.VirtualCopy

      `atomize, compareOrder, comparePosition, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getPublicId, getRoot, getSchemaType, getStringValue, getStringValueCS, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, head, isId, isIdref, isNilled, isSameNodeInfo, iterate, iterateAxis, iterateAxis, makeCopier, makeVirtualCopy, setDocumentNumber, setSystemId, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `atomize, compareOrder, comparePosition, copy, equals, generateId, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getRoot, getSchemaType, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, hashCode, isId, isIdref, isNilled, isSameNodeInfo, iterateAxis, iterateAxis`

    - ### Methods inherited from interface javax.xml.transform.Source

      `setSystemId`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getStringValueCS`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `head, iterate`

- - ### Constructor Detail

    - #### VirtualDocumentCopy

          public VirtualDocumentCopy(DocumentInfo base)

  - ### Method Detail

    - #### isTyped

          public boolean isTyped()

      Ask whether the document contains any nodes whose type annotation is anything other than UNTYPED
      Specified by:
        `isTyped` in interface `DocumentInfo`
      Returns:
        true if the document contains elements whose type is other than UNTYPED

    - #### selectID

          public NodeInfo selectID(String id,
                          boolean getParent)

      Get the element with a given ID, if any
      Specified by:
        `selectID` in interface `DocumentInfo`
      Parameters:
        `id` - the required ID value
        `getParent` -
      Returns:
        the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID)

    - #### getUnparsedEntityNames

          public Iterator<String> getUnparsedEntityNames()

      Get the list of unparsed entities defined in this document
      Specified by:
        `getUnparsedEntityNames` in interface `DocumentInfo`
      Returns:
        an Iterator, whose items are of type String, containing the names of all unparsed entities defined in this document. If there are no unparsed entities or if the information is not available then an empty iterator is returned

    - #### getUnparsedEntity

          public String[] getUnparsedEntity(String name)

      Get the unparsed entity with a given name
      Specified by:
        `getUnparsedEntity` in interface `DocumentInfo`
      Parameters:
        `name` - the name of the entity
      Returns:
        if the entity exists, return an array of two Strings, the first holding the system ID of the entity, the second holding the public ID if there is one, or null if not. If the entity does not exist, return null.

    - #### setUserData

          public void setUserData(String key,
                         Object value)

      Set user data on the document node. The user data can be retrieved subsequently using `getUserData(java.lang.String)`
      Specified by:
        `setUserData` in interface `DocumentInfo`
      Parameters:
        `key` - A string giving the name of the property to be set. Clients are responsible for choosing a key that is likely to be unique. Must not be null. Keys used internally by Saxon are prefixed "saxon:".
        `value` - The value to be set for the property. May be null, which effectively removes the existing value for the property.

    - #### getUserData

          public Object getUserData(String key)

      Get user data held in the document node. This retrieves properties previously set using `setUserData(java.lang.String, java.lang.Object)`
      Specified by:
        `getUserData` in interface `DocumentInfo`
      Parameters:
        `key` - A string giving the name of the property to be retrieved.
      Returns:
        the value of the property, or null if the property has not been defined.

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.